<?php slot('top'); ?>
    <?php GenerateTab('shbx'); ?>
<?php end_slot(); ?>
<?php if($sf_user->isSuperAdmin()):?>
<?php slot('actions'); ?>
    <?php GenerateButton(6,__('Dodaj wiadomość'),"document.location.href=('".url_for('shoutbox_messages/new')."');"); ?>
<?php end_slot(); ?>
<?php endif;?>
<?php slot('message'); ?>
    <span id="updater">
        <?php include_partial('frontend/flashes'); ?>
    </span>
<?php end_slot(); ?>

<?php use_helper('I18N', 'Date') ?>

<div class="modul_box" style="width: 100%;">
    <div id="cms_center_panel" >
        <div id="cms_center_panel_content">
           <div class="center_item_title">
                <div class="menu_icon_6"></div>
                <?php echo __('FILTR WIADOMOŚCI') ?>
            </div>
            <div class="center_item" onclick="Element.toggle('filters');">
                <div class="menu_icon_7"></div>
                <?php echo __('Szukanie zaawansowane') ?>
            </div>
                
            <?php if(!empty($filtry)): ?>
                <div class="bgr_filter_title">- <?php echo __('AKTYWNY FILTR') ?> -</div>
                <?php $style = ''; ?>
            <?php else: ?>
                <?php $style = 'style="display: none;"'; ?>
            <?php endif; ?>

            <div <?php echo $style ?> id="filters" class="bgr_filter">
                <?php include_partial('shoutbox_messages/filters', array('form' => $filters, 'configuration' => $configuration)) ?>
            </div>
                <?php include_component('shoutbox_messages','content_menu'); ?>
        </div>
    </div>
    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('LISTA WIADOMOŚCI') ?></div>
        
        <form action="<?php echo url_for('shoutbox_messages_collection', array('action' => 'batch')) ?>" method="post" onsubmit  = 'return checkConfirm(this);'>
            <?php include_partial('shoutbox_messages/list', array('pager' => $pager, 'sort' => $sort, 'helper' => $helper)) ?>
            <?php if($sf_user->checkPermission('news_global','publish') == 1):?>
                <?php if ($pager->getNbResults()): ?>
                    <div style="margin: 4px 0px 0px 0px; float: left;">
                        <?php include_partial('shoutbox_messages/list_batch_actions', array('helper' => $helper)) ?>
                    </div>
                <?php endif;?>
                <div style="margin: 4px 0px 0px 0px; float: right;">
                    <?php //include_partial('shoutbox_messages/list_actions', array('helper' => $helper)) ?>
                </div>
            <?php endif;?>
        </form>
    </div>
</div>
