<?php

/**
 * ShoutboxMessages form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseShoutboxMessagesForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'          => new sfWidgetFormInputHidden(),
      'users_list'  => new sfWidgetFormInput(),
      'groups_list' => new sfWidgetFormInput(),
      'sender_id'   => new sfWidgetFormInput(),
      'created_at'  => new sfWidgetFormDate(),
      'send_at'     => new sfWidgetFormDate(),
      'title'       => new sfWidgetFormInput(),
      'message'     => new sfWidgetFormTextarea(),
      'att_title'   => new sfWidgetFormInput(),
      'att_file'    => new sfWidgetFormInput(),
      'status'      => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'          => new sfValidatorPropelChoice(array('model' => 'ShoutboxMessages', 'column' => 'id', 'required' => false)),
      'users_list'  => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'groups_list' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'sender_id'   => new sfValidatorInteger(array('required' => false)),
      'created_at'  => new sfValidatorDate(array('required' => false)),
      'send_at'     => new sfValidatorDate(array('required' => false)),
      'title'       => new sfValidatorString(array('max_length' => 45, 'required' => false)),
      'message'     => new sfValidatorString(),
      'att_title'   => new sfValidatorString(array('max_length' => 45, 'required' => false)),
      'att_file'    => new sfValidatorString(array('max_length' => 45, 'required' => false)),
      'status'      => new sfValidatorInteger(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('shoutbox_messages[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'ShoutboxMessages';
  }


}
