<?php

/**
 * ShoutboxMsgStatus form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseShoutboxMsgStatusForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'user_id'          => new sfWidgetFormInputHidden(),
      'msg_id'           => new sfWidgetFormInputHidden(),
      'last_action_date' => new sfWidgetFormDate(),
      'status'           => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'user_id'          => new sfValidatorPropelChoice(array('model' => 'ShoutboxMsgStatus', 'column' => 'user_id', 'required' => false)),
      'msg_id'           => new sfValidatorPropelChoice(array('model' => 'ShoutboxMsgStatus', 'column' => 'msg_id', 'required' => false)),
      'last_action_date' => new sfValidatorDate(array('required' => false)),
      'status'           => new sfValidatorInteger(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('shoutbox_msg_status[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'ShoutboxMsgStatus';
  }


}
