<?php



class ShoutboxMessagesMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ShoutboxMessagesMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(ShoutboxMessagesPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(ShoutboxMessagesPeer::TABLE_NAME);
		$tMap->setPhpName('ShoutboxMessages');
		$tMap->setClassname('ShoutboxMessages');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'INTEGER', true, 11);

		$tMap->addColumn('USERS_LIST', 'UsersList', 'VARCHAR', false, 255);

		$tMap->addColumn('GROUPS_LIST', 'GroupsList', 'VARCHAR', false, 255);

		$tMap->addColumn('SENDER_ID', 'SenderId', 'INTEGER', false, null);

		$tMap->addColumn('CREATED_AT', 'CreatedAt', 'DATE', false, null);

		$tMap->addColumn('SEND_AT', 'SendAt', 'DATE', false, null);

		$tMap->addColumn('TITLE', 'Title', 'VARCHAR', false, 45);

		$tMap->addColumn('MESSAGE', 'Message', 'LONGVARCHAR', true, null);

		$tMap->addColumn('ATT_TITLE', 'AttTitle', 'VARCHAR', false, 45);

		$tMap->addColumn('ATT_FILE', 'AttFile', 'VARCHAR', false, 45);

		$tMap->addColumn('STATUS', 'Status', 'INTEGER', false, null);

	} 
} 