<?php


abstract class BaseShoutboxMessagesPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'shoutbox_messages';

	
	const CLASS_DEFAULT = 'lib.model.ShoutboxMessages';

	
	const NUM_COLUMNS = 11;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'shoutbox_messages.ID';

	
	const USERS_LIST = 'shoutbox_messages.USERS_LIST';

	
	const GROUPS_LIST = 'shoutbox_messages.GROUPS_LIST';

	
	const SENDER_ID = 'shoutbox_messages.SENDER_ID';

	
	const CREATED_AT = 'shoutbox_messages.CREATED_AT';

	
	const SEND_AT = 'shoutbox_messages.SEND_AT';

	
	const TITLE = 'shoutbox_messages.TITLE';

	
	const MESSAGE = 'shoutbox_messages.MESSAGE';

	
	const ATT_TITLE = 'shoutbox_messages.ATT_TITLE';

	
	const ATT_FILE = 'shoutbox_messages.ATT_FILE';

	
	const STATUS = 'shoutbox_messages.STATUS';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'UsersList', 'GroupsList', 'SenderId', 'CreatedAt', 'SendAt', 'Title', 'Message', 'AttTitle', 'AttFile', 'Status', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'usersList', 'groupsList', 'senderId', 'createdAt', 'sendAt', 'title', 'message', 'attTitle', 'attFile', 'status', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::USERS_LIST, self::GROUPS_LIST, self::SENDER_ID, self::CREATED_AT, self::SEND_AT, self::TITLE, self::MESSAGE, self::ATT_TITLE, self::ATT_FILE, self::STATUS, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'users_list', 'groups_list', 'sender_id', 'created_at', 'send_at', 'title', 'message', 'att_title', 'att_file', 'status', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'UsersList' => 1, 'GroupsList' => 2, 'SenderId' => 3, 'CreatedAt' => 4, 'SendAt' => 5, 'Title' => 6, 'Message' => 7, 'AttTitle' => 8, 'AttFile' => 9, 'Status' => 10, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'usersList' => 1, 'groupsList' => 2, 'senderId' => 3, 'createdAt' => 4, 'sendAt' => 5, 'title' => 6, 'message' => 7, 'attTitle' => 8, 'attFile' => 9, 'status' => 10, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::USERS_LIST => 1, self::GROUPS_LIST => 2, self::SENDER_ID => 3, self::CREATED_AT => 4, self::SEND_AT => 5, self::TITLE => 6, self::MESSAGE => 7, self::ATT_TITLE => 8, self::ATT_FILE => 9, self::STATUS => 10, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'users_list' => 1, 'groups_list' => 2, 'sender_id' => 3, 'created_at' => 4, 'send_at' => 5, 'title' => 6, 'message' => 7, 'att_title' => 8, 'att_file' => 9, 'status' => 10, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new ShoutboxMessagesMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(ShoutboxMessagesPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(ShoutboxMessagesPeer::ID);

		$criteria->addSelectColumn(ShoutboxMessagesPeer::USERS_LIST);

		$criteria->addSelectColumn(ShoutboxMessagesPeer::GROUPS_LIST);

		$criteria->addSelectColumn(ShoutboxMessagesPeer::SENDER_ID);

		$criteria->addSelectColumn(ShoutboxMessagesPeer::CREATED_AT);

		$criteria->addSelectColumn(ShoutboxMessagesPeer::SEND_AT);

		$criteria->addSelectColumn(ShoutboxMessagesPeer::TITLE);

		$criteria->addSelectColumn(ShoutboxMessagesPeer::MESSAGE);

		$criteria->addSelectColumn(ShoutboxMessagesPeer::ATT_TITLE);

		$criteria->addSelectColumn(ShoutboxMessagesPeer::ATT_FILE);

		$criteria->addSelectColumn(ShoutboxMessagesPeer::STATUS);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(ShoutboxMessagesPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			ShoutboxMessagesPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMessagesPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = ShoutboxMessagesPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return ShoutboxMessagesPeer::populateObjects(ShoutboxMessagesPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMessagesPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			ShoutboxMessagesPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(ShoutboxMessages $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof ShoutboxMessages) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or ShoutboxMessages object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = ShoutboxMessagesPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = ShoutboxMessagesPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = ShoutboxMessagesPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				ShoutboxMessagesPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return ShoutboxMessagesPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMessagesPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(ShoutboxMessagesPeer::ID) && $criteria->keyContainsValue(ShoutboxMessagesPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.ShoutboxMessagesPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMessagesPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(ShoutboxMessagesPeer::ID);
			$selectCriteria->add(ShoutboxMessagesPeer::ID, $criteria->remove(ShoutboxMessagesPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMessagesPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(ShoutboxMessagesPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMessagesPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												ShoutboxMessagesPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof ShoutboxMessages) {
						ShoutboxMessagesPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(ShoutboxMessagesPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								ShoutboxMessagesPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(ShoutboxMessages $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(ShoutboxMessagesPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(ShoutboxMessagesPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(ShoutboxMessagesPeer::DATABASE_NAME, ShoutboxMessagesPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = ShoutboxMessagesPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = ShoutboxMessagesPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMessagesPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(ShoutboxMessagesPeer::DATABASE_NAME);
		$criteria->add(ShoutboxMessagesPeer::ID, $pk);

		$v = ShoutboxMessagesPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMessagesPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(ShoutboxMessagesPeer::DATABASE_NAME);
			$criteria->add(ShoutboxMessagesPeer::ID, $pks, Criteria::IN);
			$objs = ShoutboxMessagesPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseShoutboxMessagesPeer::DATABASE_NAME)->addTableBuilder(BaseShoutboxMessagesPeer::TABLE_NAME, BaseShoutboxMessagesPeer::getMapBuilder());

