<?php

require_once dirname(__FILE__).'/../lib/shoutbox_messagesGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/shoutbox_messagesGeneratorHelper.class.php';

/**
 * shoutbox_messages actions.
 *
 * @package    sam3
 * @subpackage shoutbox_messages
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class shoutbox_messagesActions extends autoShoutbox_messagesActions
{
    
public function executeIndex(sfWebRequest $request)
  {
    
    // sorting
    if ($request->getParameter('sort') && $this->isValidSortColumn($request->getParameter('sort')))
    {
      $this->setSort(array($request->getParameter('sort'), $request->getParameter('sort_type')));
    }
    /* if ($request->hasParameter('shoutbox_messages_filters')){
         print_rr($request->getParameter('shoutbox_messages_filters'));
     }*/
    // pager
    if ($request->getParameter('page'))
    {
      $this->setPage($request->getParameter('page'));
    }
    $this->pager = $this->getPagerMy();
    $this->sort = $this->getSort();
    
  }
  public function executeNew(sfWebRequest $request)
  {
      if($request->hasParameter('id')){
          
           $this->shoutbox_messages_old = ShoutboxMessagesPeer::retrieveByPk($request->getParameter('id'));
        //$this->forward404Unless($this->shoutbox_messages);
        $this->form_old = $this->configuration->getForm($this->shoutbox_messages_old);
        $defaults = $this->form_old->getDefaults();
       
        
          
           $this->form = $this->configuration->getForm();
           
           $this->form->setDefault('uzytkownicy', array('0'=>$defaults['sender_id']));
           $this->form->setDefault('title', $defaults['title']);
           $this->shoutbox_messages = $this->form->getObject();
          // $this->shoutbox_messages->=serialize(array('0'=>$defaults['sender_id']));
        $this->setTemplate('reply');
      }else{
    $this->form = $this->configuration->getForm();
    $this->shoutbox_messages = $this->form->getObject();
      }
  }
public function executeOdbiorcza(sfWebRequest $request)
  {
    // sorting
    if ($request->getParameter('sort') && $this->isValidSortColumn($request->getParameter('sort')))
    {
      $this->setSort(array($request->getParameter('sort'), $request->getParameter('sort_type')));
    }

    // pager
    if ($request->getParameter('page'))
    {
      $this->setPage($request->getParameter('page'));
    }
    
    
    $this->pager = $this->getPagerRecipient();
    $this->sort = $this->getSort();
	
	$this->setTemplate('index');
  }
  
  public function executeNadawcza(sfWebRequest $request)
  {
    // sorting
    if ($request->getParameter('sort') && $this->isValidSortColumn($request->getParameter('sort')))
    {
      $this->setSort(array($request->getParameter('sort'), $request->getParameter('sort_type')));
    }

    // pager
    if ($request->getParameter('page'))
    {
      $this->setPage($request->getParameter('page'));
    }
    
    
    $this->pager = $this->getPagerSender();
    $this->sort = $this->getSort();
	
	$this->setTemplate('index');
  }
  public function executeFilter(sfWebRequest $request)
  {
    $this->setPage(1);

    if ($request->hasParameter('_reset'))
    {
      $this->setFilters($this->configuration->getFilterDefaults());

      $this->redirect('@shoutbox_messages');
    }

    $this->filters = $this->configuration->getFilterForm($this->getFilters());

    $this->filters->bind($request->getParameter($this->filters->getName()));
    if ($this->filters->isValid())
    {
      $this->setFilters($this->filters->getValues());

      $this->redirect('@shoutbox_messages');
    }

    $this->pager = $this->getPager();
    $this->sort = $this->getSort();

    $this->setTemplate('index');
  }    
 protected function getPagerSender()
  {
     $c = $this->buildCriteria();
    $c->add(ShoutboxMessagesPeer::SENDER_ID,$this->getUser()->getGuardUser()->getId());
    $pager = $this->configuration->getPager('ShoutboxMessages');
    $pager->setCriteria($c);
    $pager->setPage($this->getPage());
    $pager->setPeerMethod($this->configuration->getPeerMethod());
    $pager->setPeerCountMethod($this->configuration->getPeerCountMethod());
    $pager->init();

    return $pager;
  }
  
  /*protected function getPagerMy()
  {
     $c = $this->buildCriteria();  
    $c->add(ShoutboxMessagesPeer::SENDER_ID,$this->getUser()->getGuardUser()->getId());
    $pager = $this->configuration->getPager('ShoutboxMessages');
    $pager->setCriteria($c);
    $pager->setPage($this->getPage());
    $pager->setPeerMethod($this->configuration->getPeerMethod());
    $pager->setPeerCountMethod($this->configuration->getPeerCountMethod());
    $pager->init();

    return $pager;
  }*/
  protected function getPagerMy()
  {
     $c = $this->buildCriteria(); 
     $criteria= new Criteria();
     $c1 = $criteria->getNewCriterion(ShoutboxMessagesPeer::USERS_LIST,'%"'.$this->getUser()->getGuardUser()->getId().'"%',CRITERIA::LIKE);
   //  $c1->add(ShoutboxMessagesPeer::STATUS,0,CRITERIA::NOT_EQUAL);
    //$c->addOr($criteria->getNewCriterion(ShoutboxMessagesPeer::USERS_LIST,'%"'.$this->getUser()->getGuardUser()->getId().'"%',CRITERIA::LIKE));
    //print_rr($this->getUser()->getGuardUser()->getGroups());exit;
    foreach($this->getUser()->getGuardUser()->getGroups() as $grupa)       {
    $c2=$criteria->getNewCriterion(ShoutboxMessagesPeer::GROUPS_LIST,'%"'.$grupa->getId().'"%',CRITERIA::LIKE);
   // $c2->add(ShoutboxMessagesPeer::STATUS,0,CRITERIA::NOT_EQUAL);
    $c1->addOr($c2);
 }
 $c3=$criteria->getNewCriterion(ShoutboxMessagesPeer::SENDER_ID,$this->getUser()->getGuardUser()->getId());

    $c1->addOr($c3);
    $c->add($c1);
     $this->filtry = $this->getFilters();
 if(isset($this->filtry['sender_id'])){
     $c->add(ShoutboxMessagesPeer::SENDER_ID,$this->filtry['sender_id']);
 }
 if(isset($this->filtry['status'])&&$this->filtry['status']!=0){
     $status=$this->filtry['status']-1;
     $c->add(ShoutboxMessagesPeer::STATUS,$status);
 }
    $pager = $this->configuration->getPager('ShoutboxMessages');
    $pager->setCriteria($c);
    $pager->setPage($this->getPage());
    $pager->setPeerMethod($this->configuration->getPeerMethod());
    $pager->setPeerCountMethod($this->configuration->getPeerCountMethod());
    $pager->init();

    return $pager;
  }
  
   protected function getPagerRecipient()
  {
     $c = $this->buildCriteria(); 
     $criteria= new Criteria();
     $c1 = $criteria->getNewCriterion(ShoutboxMessagesPeer::USERS_LIST,'%"'.$this->getUser()->getGuardUser()->getId().'"%',CRITERIA::LIKE);
    $c->addOr($criteria->getNewCriterion(ShoutboxMessagesPeer::USERS_LIST,'%"'.$this->getUser()->getGuardUser()->getId().'"%',CRITERIA::LIKE));
    //print_rr($this->getUser()->getGuardUser()->getGroups());exit;
    foreach($this->getUser()->getGuardUser()->getGroups() as $grupa)       {
    $c2=$criteria->getNewCriterion(ShoutboxMessagesPeer::GROUPS_LIST,'%"'.$grupa->getId().'"%',CRITERIA::LIKE);
    $c1->addOr($c2);
 }
    
    $c->add($c1);
    $c->add(ShoutboxMessagesPeer::STATUS,1);
    $pager = $this->configuration->getPager('ShoutboxMessages');
    $pager->setCriteria($c);
    $pager->setPage($this->getPage());
    $pager->setPeerMethod($this->configuration->getPeerMethod());
    $pager->setPeerCountMethod($this->configuration->getPeerCountMethod());
    $pager->init();

    return $pager;
  }
 public function executeSend(sfWebRequest $request){
   
     $this->shoutbox_messages = ShoutboxMessagesPeer::retrieveByPk($request->getParameter('id'));
        $this->forward404Unless($this->shoutbox_messages);
        $this->form = $this->configuration->getForm($this->shoutbox_messages);
        $defaults = $this->form->getDefaults();
       // $this->form->setDefault('uzytkownicy', unserialize($defaults['users_list']));
      //  $this->form->setDefault('grupy', unserialize($defaults['groups_list']));
        $this->shoutbox_messages->setStatus(1);
        $this->shoutbox_messages->setSendAt(date(time()));
       // $this->shoutbox_msg_status= new ShoutboxMsgStatus();
        
        $this->shoutbox_messages->save();
        $this->getUser()->setFlash('notice', 'Pomyślnie wysłano.');
        $this->redirect('shoutbox_messages'); 
 } 
 public function executeCreate(sfWebRequest $request)
    {
        $this->form = $this->configuration->getForm();
        $this->shoutbox_messages = $this->form->getObject();
        $post_shoutbox_messages = $request->getParameter('shoutbox_messages');
        $post_shoutbox_messages['sender_id']= $this->getUser()->getGuardUser()->getId();
       // print_rr($post_shoutbox_messages['created_at']);
        $post_shoutbox_messages['status']=0;
        if(array_key_exists('uzytkownicy', $post_shoutbox_messages))
            $post_shoutbox_messages['users_list'] = serialize($post_shoutbox_messages['uzytkownicy']);
        else
            $post_shoutbox_messages['users_list'] = serialize(null);
        if(array_key_exists('grupy', $post_shoutbox_messages))
            $post_shoutbox_messages['groups_list'] = serialize($post_shoutbox_messages['grupy']);
        else
            $post_shoutbox_messages['groups_list'] = serialize(null);
        $request->setParameter('shoutbox_messages', $post_shoutbox_messages);
        $this->processForm($request, $this->form);
        if(!$this->getUser()->isSuperAdmin())
         $this->setTemplate('reply');
            else
        $this->setTemplate('new');
    }
	public function executeSaveAndSend(sfWebRequest $request)
    {
        $this->form = $this->configuration->getForm();
        $this->shoutbox_messages = new ShoutboxMessages();
        $post_shoutbox_messages = $request->getParameter('shoutbox_messages');
        $post_shoutbox_messages['sender_id']= $this->getUser()->getGuardUser()->getId();
        print_rr($post_shoutbox_messages['created_at']);
        $post_shoutbox_messages['status']=0;
        if(array_key_exists('uzytkownicy', $post_shoutbox_messages))
            $post_shoutbox_messages['users_list'] = serialize($post_shoutbox_messages['uzytkownicy']);
        else
            $post_shoutbox_messages['users_list'] = serialize(null);
        if(array_key_exists('grupy', $post_shoutbox_messages))
            $post_shoutbox_messages['groups_list'] = serialize($post_shoutbox_messages['grupy']);
        else
            $post_shoutbox_messages['groups_list'] = serialize(null);
        $request->setParameter('shoutbox_messages', $post_shoutbox_messages);
        $this->processForm($request, $this->form);
        
        $this->redirect('shoutbox_messages/send?id='.$this->shoutbox_messages->getId());
    }
	 public function executeEdit(sfWebRequest $request)
    {


        $this->shoutbox_messages = ShoutboxMessagesPeer::retrieveByPk($request->getParameter('id'));
        $this->forward404Unless($this->shoutbox_messages);
        $this->form = $this->configuration->getForm($this->shoutbox_messages);
        $defaults = $this->form->getDefaults();
        $this->form->setDefault('uzytkownicy', unserialize($defaults['users_list']));
        $this->form->setDefault('grupy', unserialize($defaults['groups_list']));
        // $this->form->setOption(array('class'=>'disabled'));
        if(!$this->getUser()->isSuperAdmin())
         $this->setTemplate('reply');
            else
        $this->setTemplate('edit');
    }
	 public function executeUpdate(sfWebRequest $request)
  {
    $this->shoutbox_messages = $this->getRoute()->getObject();
    $this->form = $this->configuration->getForm($this->shoutbox_messages);

    $this->processForm($request, $this->form);

    if(!$this->getUser()->isSuperAdmin())
         $this->setTemplate('reply');
            else
        $this->setTemplate('edit');
  }
  
  
     public function executeReply(sfWebRequest $request)
    {


        $this->shoutbox_messages_old = ShoutboxMessagesPeer::retrieveByPk($request->getParameter('id'));
        //$this->forward404Unless($this->shoutbox_messages);
        $this->form_old = $this->configuration->getForm($this->shoutbox_messages_old);
        $defaults = $this->form_old->getDefaults();
        $this->form = $this->configuration->getForm();
        $this->shoutbox_messages = new ShoutboxMessages();
        $this->form->setDefault('uzytkownicy', array('0'=>$defaults['sender_id']));
        $this->form->setDefault('title', $defaults['title']);
       // print_rr($this->shoutbox_messages);
        
        $this->setTemplate('reply');
    }
    public function executeShow(sfWebRequest $request)
    {


        $this->shoutbox_messages = ShoutboxMessagesPeer::retrieveByPk($request->getParameter('id'));
        $this->forward404Unless($this->shoutbox_messages);
        $this->form = $this->configuration->getForm($this->shoutbox_messages);
        $defaults = $this->form->getDefaults();
        $this->form->setDefault('uzytkownicy', unserialize($defaults['users_list']));
        $this->form->setDefault('grupy', unserialize($defaults['groups_list']));
        
       
        if(!count(ShoutboxMsgStatusPeer::retrieveByPK($this->getUser()->getGuardUser()->getId(),$request->getParameter('id')))){
        $this->shoutbox_msg_status= new ShoutboxMsgStatus();
        $this->shoutbox_msg_status->setStatus(1);
        $this->shoutbox_msg_status->setMsgId($request->getParameter('id'));
        $this->shoutbox_msg_status->setUserId($this->getUser()->getGuardUser()->getId());
        $this->shoutbox_msg_status->save();
        }
       // $this->form->Option('disabled','disabled');

        $this->setTemplate('show');
    }
    
     protected function executeBatchSend(sfWebRequest $request)
  {
    $ids = $request->getParameter('ids');

    $count = 0;
    foreach (ShoutboxMessagesPeer::retrieveByPks($ids) as $object)
    {
      
        $object->setStatus(1);
        $object->setSendAt(date(time()));
   
       
        $object->save();
        if($object->getStatus()==1)
        {
        $count++;
        }
    }

    if ($count >= count($ids))
    {
      $this->getUser()->setFlash('notice', 'Wysłano poprawnie waidomości.');
    }
    else
    {
      $this->getUser()->setFlash('error', 'Błąd przy wysyłaniu.');
    }

    $this->redirect('@shoutbox_messages');
  }
}
