<?php include_stylesheets_for_form($form) ?>
<?php include_javascripts_for_form($form) ?>

<div class="sf_admin_form">
    <?php echo form_tag_for($form, '@shoutbox_messages', array('id' => 'shoutbox_msg_form', 'name' => 'shoutbox_msg_form')) ?>
    <fieldset class="editor">
        <legend><?php echo __('Dodawanie nowej wiadomości'); ?></legend>
        <?php echo $form->renderHiddenFields() ?>

        <?php if($form->hasGlobalErrors()): ?>
            <ul class="error_list">
                <?php foreach($form->getErrorsNice() as $key => $value): ?>
                    <li><?php echo $key ?>. <?php echo $value ?></li>
                <?php endforeach; ?>
            </ul>
            <div class="cl"></div>
        <?php endif; ?>

        <?php foreach($configuration->getFormFields($form, $form->isNew() ? 'new' : 'edit') as $fieldset => $fields): ?>
            <?php include_partial('shoutbox_messages/form_fieldset', array('shoutbox_messages' => $shoutbox_messages, 'form' => $form, 'fields' => $fields, 'fieldset' => $fieldset)) ?>
        <?php endforeach; ?>

        <div style="float: right;">
            <?php include_partial('shoutbox_messages/form_actions', array('shoutbox_messages' => $shoutbox_messages, 'form' => $form, 'configuration' => $configuration, 'helper' => $helper)) ?>
        </div>
    </fieldset>
    <?php echo '</form>'; ?>
</div>
