<?php



class ShoutboxMsgStatusMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ShoutboxMsgStatusMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(ShoutboxMsgStatusPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(ShoutboxMsgStatusPeer::TABLE_NAME);
		$tMap->setPhpName('ShoutboxMsgStatus');
		$tMap->setClassname('ShoutboxMsgStatus');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('USER_ID', 'UserId', 'INTEGER', true, 11);

		$tMap->addPrimaryKey('MSG_ID', 'MsgId', 'INTEGER', true, 11);

		$tMap->addColumn('LAST_ACTION_DATE', 'LastActionDate', 'DATE', false, null);

		$tMap->addColumn('STATUS', 'Status', 'INTEGER', false, 2);

	} 
} 