<?php


abstract class BaseShoutboxMsgStatusPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'shoutbox_msg_status';

	
	const CLASS_DEFAULT = 'lib.model.ShoutboxMsgStatus';

	
	const NUM_COLUMNS = 4;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const USER_ID = 'shoutbox_msg_status.USER_ID';

	
	const MSG_ID = 'shoutbox_msg_status.MSG_ID';

	
	const LAST_ACTION_DATE = 'shoutbox_msg_status.LAST_ACTION_DATE';

	
	const STATUS = 'shoutbox_msg_status.STATUS';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('UserId', 'MsgId', 'LastActionDate', 'Status', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('userId', 'msgId', 'lastActionDate', 'status', ),
		BasePeer::TYPE_COLNAME => array (self::USER_ID, self::MSG_ID, self::LAST_ACTION_DATE, self::STATUS, ),
		BasePeer::TYPE_FIELDNAME => array ('user_id', 'msg_id', 'last_action_date', 'status', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('UserId' => 0, 'MsgId' => 1, 'LastActionDate' => 2, 'Status' => 3, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('userId' => 0, 'msgId' => 1, 'lastActionDate' => 2, 'status' => 3, ),
		BasePeer::TYPE_COLNAME => array (self::USER_ID => 0, self::MSG_ID => 1, self::LAST_ACTION_DATE => 2, self::STATUS => 3, ),
		BasePeer::TYPE_FIELDNAME => array ('user_id' => 0, 'msg_id' => 1, 'last_action_date' => 2, 'status' => 3, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new ShoutboxMsgStatusMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(ShoutboxMsgStatusPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(ShoutboxMsgStatusPeer::USER_ID);

		$criteria->addSelectColumn(ShoutboxMsgStatusPeer::MSG_ID);

		$criteria->addSelectColumn(ShoutboxMsgStatusPeer::LAST_ACTION_DATE);

		$criteria->addSelectColumn(ShoutboxMsgStatusPeer::STATUS);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(ShoutboxMsgStatusPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			ShoutboxMsgStatusPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMsgStatusPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = ShoutboxMsgStatusPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return ShoutboxMsgStatusPeer::populateObjects(ShoutboxMsgStatusPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMsgStatusPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			ShoutboxMsgStatusPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(ShoutboxMsgStatus $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = serialize(array((string) $obj->getUserId(), (string) $obj->getMsgId()));
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof ShoutboxMsgStatus) {
				$key = serialize(array((string) $value->getUserId(), (string) $value->getMsgId()));
			} elseif (is_array($value) && count($value) === 2) {
								$key = serialize(array((string) $value[0], (string) $value[1]));
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or ShoutboxMsgStatus object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null && $row[$startcol + 1] === null) {
			return null;
		}
		return serialize(array((string) $row[$startcol + 0], (string) $row[$startcol + 1]));
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = ShoutboxMsgStatusPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = ShoutboxMsgStatusPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = ShoutboxMsgStatusPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				ShoutboxMsgStatusPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return ShoutboxMsgStatusPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMsgStatusPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMsgStatusPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(ShoutboxMsgStatusPeer::USER_ID);
			$selectCriteria->add(ShoutboxMsgStatusPeer::USER_ID, $criteria->remove(ShoutboxMsgStatusPeer::USER_ID), $comparison);

			$comparison = $criteria->getComparison(ShoutboxMsgStatusPeer::MSG_ID);
			$selectCriteria->add(ShoutboxMsgStatusPeer::MSG_ID, $criteria->remove(ShoutboxMsgStatusPeer::MSG_ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMsgStatusPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(ShoutboxMsgStatusPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMsgStatusPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												ShoutboxMsgStatusPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof ShoutboxMsgStatus) {
						ShoutboxMsgStatusPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
												if (count($values) == count($values, COUNT_RECURSIVE)) {
								$values = array($values);
			}

			foreach ($values as $value) {

				$criterion = $criteria->getNewCriterion(ShoutboxMsgStatusPeer::USER_ID, $value[0]);
				$criterion->addAnd($criteria->getNewCriterion(ShoutboxMsgStatusPeer::MSG_ID, $value[1]));
				$criteria->addOr($criterion);

								ShoutboxMsgStatusPeer::removeInstanceFromPool($value);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(ShoutboxMsgStatus $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(ShoutboxMsgStatusPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(ShoutboxMsgStatusPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(ShoutboxMsgStatusPeer::DATABASE_NAME, ShoutboxMsgStatusPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = ShoutboxMsgStatusPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($user_id, $msg_id, PropelPDO $con = null) {
		$key = serialize(array((string) $user_id, (string) $msg_id));
 		if (null !== ($obj = ShoutboxMsgStatusPeer::getInstanceFromPool($key))) {
 			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(ShoutboxMsgStatusPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}
		$criteria = new Criteria(ShoutboxMsgStatusPeer::DATABASE_NAME);
		$criteria->add(ShoutboxMsgStatusPeer::USER_ID, $user_id);
		$criteria->add(ShoutboxMsgStatusPeer::MSG_ID, $msg_id);
		$v = ShoutboxMsgStatusPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 

Propel::getDatabaseMap(BaseShoutboxMsgStatusPeer::DATABASE_NAME)->addTableBuilder(BaseShoutboxMsgStatusPeer::TABLE_NAME, BaseShoutboxMsgStatusPeer::getMapBuilder());

